ref: 56d5f1588a8737ea13139342a952060f8977bc5c
parent: c05334dfc10a3398e5381e90a1501a29a3624e59
author: ISSOtm <eldredhabert0@gmail.com>
date: Mon Jan 20 19:27:28 EST 2020
Do not run `.pipe` tests if the normal variant fails They'll most likely fail as well, just adding redundant error output
--- a/test/asm/test.sh
+++ b/test/asm/test.sh
@@ -38,9 +38,9 @@
fi
diff -u --strip-trailing-cr $desired_output $output
- rc=$(($? || $rc))
+ our_rc=$?
diff -u --strip-trailing-cr $desired_errput $errput
- rc=$(($? || $rc))
+ our_rc=$(($? || $our_rc))
bin=${i%.asm}.out.bin
if [ -f $bin ]; then
@@ -49,8 +49,11 @@
hexdump -C $output > $input && mv $input $output
hexdump -C $bin > $input
diff -u --strip-trailing-cr $input $output
- rc=$(($? || $rc))
+ our_rc=$(($? || $our_rc))
fi
+
+ rc=$(($rc || $our_rc))
+ if [ $our_rc -ne 0 ]; then break; fi
done
done